GuidResult (CMDB Model API)
Keywords: com.collation.platform.model.util.GuidResult class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.util
Class GuidResult

    java.lang.Object
      com.collation.platform.model.util.GuidResult

All Implemented Interfaces:
  java.io.Serializable

    public class GuidResult

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`GuidResult()`
`GuidResult(ModelObject object, java.util.List guidList, boolean master)`
`GuidResult(ModelObject object, java.util.List guidList, boolean master, boolean multipleMaster, java.util.List masterGuidList)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`java.util.List` | `getGuidList()`
`boolean` | `getMaster()`
`java.util.List` | `getMasterGuidList()`
`boolean` | `getMultipleMasters()`
`ModelObject` | `getObject()`
`int` | `hashCode()`
`void` | `setGuidList(java.util.List guidList)`
`void` | `setMaster(boolean master)`
`void` | `setMasterGuidList(java.util.List masterGuidList)`
`void` | `setMultipleMasters(boolean multipleMasters)`
`void` | `setObject(ModelObject object)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GuidResult

    public GuidResult()

### GuidResult

    public GuidResult(ModelObject object,
                      java.util.List guidList,
                      boolean master)

### GuidResult

    public GuidResult(ModelObject object,
                      java.util.List guidList,
                      boolean master,
                      boolean multipleMaster,
                      java.util.List masterGuidList)

Method Detail

### getGuidList

    public java.util.List getGuidList()

### setGuidList

    public void setGuidList(java.util.List guidList)

### getMaster

    public boolean getMaster()

### setMaster

    public void setMaster(boolean master)

### getMasterGuidList

    public java.util.List getMasterGuidList()

### setMasterGuidList

    public void setMasterGuidList(java.util.List masterGuidList)

### getMultipleMasters

    public boolean getMultipleMasters()

### setMultipleMasters

    public void setMultipleMasters(boolean multipleMasters)

### getObject

    public ModelObject getObject()

### setObject

    public void setObject(ModelObject object)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD